# Contributing to ChainLink

First, thank you for considering contributing to ChainLink.
The Chainlink source code is [licensed under the MIT license](https://github.com/smartcontractkit/chainlink/blob/master/LICENSE).
We value contributions of any size or type from anyone!
The smallest of fixes can make the biggest difference.
Please dive in. Feel free to ask questions on [our Gitter](https://gitter.im/smartcontractkit-chainlink/Lobby), open an issue, or send a pull request on GitHub.

We follow an [agile development process](http://agilemanifesto.org/).
You can view our current priorities for development listed on [Pivotal Tracker](https://www.pivotaltracker.com/n/projects/2129823).
If you run into a bug or have a problem, the best action is to open an issue on GitHub (please search for related closed issues first).
The GitHub issue will be migrated to Tracker and prioritized. We'll keep you updated as the issue progresses.

If you're interested in helping out with the development cycle, feel free to tackle open issues. We've even set aside a few that are [good introductory issues](https://github.com/smartcontractkit/chainlink/issues?q=is%3Aissue+label%3A%22good+first+issue%22).
If you see something you'd like to help with [on Tracker](https://www.pivotaltracker.com/n/projects/2129823),
reach out to us [on Gitter](https://gitter.im/smartcontractkit-chainlink/Lobby) to coordinate.

## Testing

Testing is core to our development philosophy.
In building an application that will power the infrastructure of the future,
we believe that well tested code is of the utmost importance.
We do everything we can to ensure that [the test suite](https://circleci.com/gh/smartcontractkit/chainlink)
is stable and maintains a high level of coverage
(even if that is difficult with Go).
Please write tests for your code and make sure that the existing suite continues to pass.
If you run into trouble with this, you can always ask for tips in [our Gitter](https://gitter.im/smartcontractkit-chainlink/Lobby).

## Code Style

If making a change to the code, please try to follow our [style guide](https://github.com/smartcontractkit/chainlink/wiki/Code-Style-Guide).

## More to come...
